Tag
Add a new tag
POST /tag
POST /tag
Request body
The new tag that should be created. The only mandatory parameters are name, refernce and type. If the other parameters are not provided, they will revert to defaults.
idintegerbodyInternal id, e.g. 123
namestringbodye.g. "Complaint"
fullNamestringbodyThe full name when not shown in a tree
parentintegerbodyThe id of the parent tag. null if on root level. Can be created to create the tree structure of tags
referenceenumbodyTo what this tag can be assigned to Options: ticket, contract, customer
typeenumbodyType of the tag Options: skill, product, brand, customerProperty, contractProperty, other
visibilityenumbodyDefault: publicVisibility of the tag Options: public, private, disabled
colorenumbodyDefault: greyColor of the tag. Default is grey Options: grey, green, red, blue, yellow, purple, orange, teal
propertiesenum[]bodyAn array of strings that specify special properties. Currently only ['defaultSkill'], if this tag should be assigned if no skill was found
complexitystringbodyThe complexity of the tag
slanumberbodySLA in business hours. So if we have business hours from 9-17h, an 8 hour SLA means ticket has to be solved within one day. NULL means no SLA is assigned.
priorityenumbodyIf set to anything other than do-not-change, then the ticket priority will be set to this value if the tag was assigned (either manually or via AI) Options: do-not-change, low, medium, high
channelsstring[]bodyChannels for which this tag can be detected. If empty or null, then this tag can be assigned to all channels.
subchannelsnumber[]bodySubchannels (=Mailboxes/Chat channels) for which this tag can be detected. If empty or null, then this tag can be assigned to all subchannels.
routingRelevancebooleanbodyDefault: trueIf false, this tag is ignored in routing skill-matching filters. Tags used only for reporting or classification should set this to false so they don't block ticket routing.
detectionDetailsobjectbodyDetails how the AI agent is detected
assignmentenum[]bodySpecifies how this tag is being assigned. The details in the assignment are specified in the settings page of the tag. So for example 'assignBySubchannel', 'assignByCustomLogic' means this tag is auto-assigned for certain subchannels, and using a custom logic defined in an executor.
testCaseobjectbodyTest case for the tag
modifiedBystringbodyThe user that last modified the tag
modifiedAtstringbodyThe date and time when the tag was last modified
Request Example
{
"id": 123,
"name": "Complaint",
"fullName": "Second Level: Complaint",
"parent": 6,
"reference": "ticket",
"type": "skill",
"visibility": "public",
"color": "grey",
"properties": [],
"complexity": "moderate",
"sla": 8,
"priority": "do-not-change",
"channels": [
"email",
"chat"
],
"subchannels": [
2,
4
],
"routingRelevance": true,
"detectionDetails": null,
"assignment": [
"assignBySubchannel",
"assignByCustomLogic"
],
"testCase": null,
"modifiedBy": "John Doe",
"modifiedAt": "2024-08-29 14:38:12"
}Responses
200 — Tag added successfully
Response Example
{
"success": true,
"id": 12345
}403 — Unauthorized
500 — Internal error